# Add geolocation

`POST /omni/add/geolocation`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Send location to store in database, or send coordinates and fetch location and store it

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `longitude` | number (float) | yes | User's geolocation longitude |
| `latitude` | number (float) | yes | User's geolocation latitude |
| `location` | string |  | User's current location |
| `madminArea` | string |  |  |
| `msubAdminArea` | string |  |  |
| `mlocality` | string |  |  |
| `msubLocality` | string |  |  |
| `mthoroughfare` | string |  |  |
| `msubThoroughfare` | string |  |  |
| `mpostalCode` | string |  |  |
| `mcountryCode` | string |  |  |
| `mcountryName` | string |  |  |

## Responses

### 200

OK

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
